%if 0%{?el7}
%define dist .el7
%endif

%{!?_httpd_apxs: %{expand: %%global _httpd_apxs %%{_sbindir}/apxs}}

Name:		mod_qos
Version:	11.59
Release:	1%{?dist}
Summary:	mod_qos is a quality of service module for the Apache web server implementing control mechanisms that can provide different levels of priority to different HTTP requests.
Epoch:		10

Group:		System Environment/Daemons
License:	GPLv2
URL:		http://opensource.adnovum.ch/mod_qos/
Source0:	http://sourceforge.net/projects/mod-qos/files/%{name}-%{version}.tar.gz
Source1:	10-%{name}.conf
Source2:	%{name}.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	httpd-devel, automake
BuildRequires:	apr-devel, pcre-devel, openssl-devel, libpng-devel
BuildRequires:  expat-devel
BuildRequires:  gcc

%if 0%{?fedora} >= 21
BuildRequires:  httpd-filesystem
%endif

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
In computer networking, the term quality of service (QoS) describes resource management rather than the quality of a service. Quality of service implements control mechanisms to provide different priority to different users, applications, and data connections. It is used to guarantee a certain level of performance to data resources. The term quality of service is often used in the field of wide area network protocols (e.g. ATM) and telephony (e.g. VoIP), but rarely in conjunction with web applications.

%package tools
Group:	Development/Languages
Summary:	Common tools for mod_qos
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description tools
Common tools for mod_qos

%package doc
Group:	Documentation
Summary:	Document for mod_qos
BuildArch:  noarch

%description doc
Document for mod_qos

%prep
%setup -q
mv -f doc/LICENSE.txt LICENSE
mv -f README.TXT README
mv -f doc/CHANGES.txt CHANGES

%build
pushd apache2
%{_httpd_apxs} -c -Wc,"%{optflags}" -lpcre -lcrypto mod_qos.c
popd
pushd tools
autoreconf -ivf
%configure \
	--prefix=%{_prefix} \
	--with-apr=%{_bindir} \
	--with-apr-util=%{_bindir} \
	--with-pcre=%{_bindir} \
	--with-png=%{_bindir} \
	--with-ssl=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -d -m0755 $RPM_BUILD_ROOT%{_libdir}/httpd/modules
pushd apache2
%if 0%{?fedora} >= 18
install -D -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.modules.d/10-%{name}.conf
install -D -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
%else
cat %{SOURCE1} %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf
%endif
install -m0755 .libs/mod_qos.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules
popd
pushd tools
make install DESTDIR=$RPM_BUILD_ROOT

install -d -m0755 $RPM_BUILD_ROOT%{_mandir}/man1
for f in `find man1 -type f`
do
	install -D -m0644 $f $RPM_BUILD_ROOT%{_mandir}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc README CHANGES
%{!?_licensedir:%global license %%doc}
%license LICENSE
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_qos.conf
%{_libdir}/httpd/modules/%{name}.so
%if 0%{?fedora} >= 18
%config(noreplace) %{_sysconfdir}/httpd/conf.modules.d/10-%{name}.conf
%endif

%files tools
%defattr(-,root,root,-)
%{_bindir}/qs*
%{_mandir}/man1/*.1.gz

%files doc
%defattr(-,root,root,-)
%doc doc/*

%changelog
* Sat Nov 24 2018 momo-i <webmaster@momo-i.org> - 10:11.59-1
- Update to 11.59

* Sun Jul 15 2018 momo-i <webmaster@momo-i.org> - 10:11.55-1
- Update to 11.55

* Fri Nov 24 2017 momo-i <webmaster@momo-i.org> - 10:11.44-1
- Update to 11.44

* Fri Feb 10 2017 momo-i <webmaster@momo-i.org> - 10:11.36-1
- Update to 11.36

* Wed Nov 09 2016 momo-i <webmaster@momo-i.org> - 10:11.32-1
- Update to 11.32

* Sat Oct 01 2016 momo-i <webmaster@momo-i.org> - 10:11.31-1
- Update to 11.31

* Mon Apr 18 2016 momo-i <webmaster@momo-i.org> - 10:11.25-1
- Update to 11.25

* Mon Feb 22 2016 momo-i <webmaster@momo-i.org> - 10:11.22-2
- Change buildarch for doc

* Mon Feb 22 2016 momo-i <webmaster@momo-i.org> - 10:11.22-1
- Update to 11.22

* Tue Jan 26 2016 momo-i <webmaster@momo-i.org> - 10:11.21-1
- Update to 11.21

* Thu Jan 14 2016 momo-i <webmaster@momo-i.org> - 10:11.20-1
- Update to 11.20

* Mon Jan 04 2016 momo-i <webmaster@momo-i.org> - 10:11.19-1
- Update to 11.19

* Mon Nov 16 2015 momo-i <webmaster@momo-i.org> - 10:11.18-1
- Update to 11.18

* Wed Sep 16 2015 momo-i <webmaster@momo-i.org> - 10:11.17-1
- Update to 11.17

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 10:11.16-5
- Update dist for centos7

* Mon Aug 17 2015 momo-i <webmaster@momo-i.org> - 10:11.16-4
- Update to 11.16

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 10:11.15-3
- Rebuilt for fc23

* Mon Jul 27 2015 momo-i <webmaster@momo-i.org> - 11.15-2
- Update to 11.15

* Mon Jun 15 2015 momo-i <webmaster@momo-i.org> - 11.14-2
- Update to 11.14

* Sat Jun 06 2015 momo-i <webmaster@momo-i.org> - 11.13-2
- Update to 11.13

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 11.12-2
- Rebuilt for fc22

* Wed Mar  4 2015 momo-i <webmaster@momo-i.org> - 11.11-1
- Update to 11.11

* Mon Jan 26 2015 momo-i <webmaster@momo-i.org> - 11.9-1
- Update to 11.9

* Tue Dec 16 2014 momo-i <webmaster@momo-i.org> - 11.7-1
- Update to 11.7

* Tue Nov 11 2014 momo-i <webmaster@momo-i.org> - 11.6-1
- Update to 11.6
- Change license dir

* Fri Sep  5 2014 momo-i <webmaster@momo-i.org> - 11.5-1
- Update to 11.5

* Mon May 19 2014 momo-i <webmaster@momo-i.org> - 11.2-1
- Update to 11.2

* Fri Mar 28 2014 momo-i <webmaster@momo-i.org> - 10.30-1
- Update to 10.30

* Tue Feb 25 2014 momo-i <webmaster@momo-i.org> - 10.29-1
- Update to 10.29

* Wed Jan 15 2014 momo-i <webmaster@momo-i.org> - 10.28-1
- Update to 10.28

* Tue Dec 10 2013 momo-i <webmaster@momo-i.org> - 10.26-1
- Update to 10.26

* Fri Nov  8 2013 momo-i <webmaster@momo-i.org> - 10.25-1
- Update to 10.25

* Fri Sep 20 2013 momo-i <webmaster@momo-i.org> - 10.21-1
- Update to 10.21

* Wed Jul  3 2013 momo-i <webmaster@momo-i.org> - 10.16-1
- Update to 10.16

* Tue May 14 2013 momo-i <webmaster@momo-i.org> - 10.15-1
- Update to 10.15

* Tue Mar 26 2013 momo-i <webmaster@momo-i.org> - 10.14-3
- Update to 10.14

* Tue Jun 19 2012 momo-i <webmaster@momo-i.org> - 10.8-1
- Update to 10.8

* Mon May 28 2012 momo-i <webmaster@momo-i.org> - 10.5-1
- Upgrade to 10.5

* Mon Dec 12 2011 momo-i <webmaster@momo-i.org> - 9.75-3
- config noreplace

* Mon Dec 12 2011 momo-i <webmaster@momo-i.org> - 9.75-2
- Added more example configurations.

* Wed Dec 07 2011 momo-i <webmaster@momo-i.org> - 9.75-1
- Added man for mod_qos-tools

* Mon Jun 6 2011 momo-i <webmaster@momo-i.org> - 9.57-1
- Initial rpm release.
